#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	CSV_XS
Summary:	Text::CSV_XS - comma-separated values manipulation routines
Summary(pl.UTF-8):	Text::CSV_XS - operacje na wartościach oddzielonych przecinkami
Name:		perl-Text-CSV_XS
Version:	1.40
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	fcb9183f2716fe3c13d5e0e602285840
URL:		https://metacpan.org/release/Text-CSV_XS
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::CSV_XS Perl module provides facilities for the composition and
decomposition of comma-separated values. An instance of the
Text::CSV_XS class can combine fields into a CSV string and parse a
CSV string into fields.

%description -l pl.UTF-8
Moduł Perla Text::CSV_XS udostępnia metody do składania i rozkładania
wartości oddzielonych przecinkami. Instancja klasy Text::CSV_CS
potrafi łączyć pola w łańcuch CSV oraz rozkładać łańcuch CSV na pola.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/CSV_XS.pm
%dir %{perl_vendorarch}/auto/Text/CSV_XS
%attr(755,root,root) %{perl_vendorarch}/auto/Text/CSV_XS/CSV_XS.so
%{_mandir}/man3/Text::CSV_XS.3pm*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-CSV_XS.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 66bd7d3
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 14f97b2
- up to 1.40

* Fri Oct 05 2018 Jakub Bogusz <qboosh@pld-linux.org> 1760cbc
- updated to 1.37

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 37aa106
- updated to 1.36

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> c22e826
- updated to 1.34

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 581fbd9
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a8b246c
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 3ff7a3d
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f5e2746
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> aef2467
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 7e1e5a4
- updated to 1.14

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 77e6c87
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 0fa68e9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8d28b23
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 6247fc2
- updated to 1.01

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 1ea5da5
- up to 0.98

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0fbe863
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> af2d10d
- up to 0.85

* Tue Jul 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 68331fa
- updated to 0.82

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 586a156
- release 4

